Cyberduck Mountain Duck CLI

#7908 closed defect (thirdparty)

Handshake alert: unrecognized_name

Reported by: cforst Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.4.4
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 8

Description

I've just tried to connect to our WebDAV server over HTTPS. Unfortunately, I've got an error, while everything seems to be right by starting an unencrypted WebDAV connection. For version 4.4.3 everything worked fine. The system on which I try to connect is hosted by http://all-inkl.com/

Restaring and re-installing didn't help.

Attachments (1)

Unbenannt.png (74.2 KB) - added by cforst on Apr 27, 2014 at 5:57:01 PM.
Error message

Download all attachments as: .zip

Change History (10)

Changed on Apr 27, 2014 at 5:57:01 PM by cforst

Error message

comment:1 Changed on Apr 28, 2014 at 6:49:56 AM by dkocher

  • Summary changed from WebDAV Connection over HTTPS not possible anymore to Handshake alert: unrecognized_name

comment:2 Changed on Apr 28, 2014 at 7:13:24 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

The virtual host setup by the hosting provider is misconfigured. It must accept TLS connections with SNI extension. Let the hosting provider know the hostname you are using to connect to and it should either fix their configuration or will let you know a different hostname to use to connect to.

comment:3 Changed on May 3, 2014 at 4:41:23 PM by dkocher

#7932 closed as duplicate.

comment:4 Changed on Jul 4, 2014 at 9:22:07 AM by dkocher

#8074 closed as duplicate.

comment:5 Changed on Aug 29, 2014 at 7:02:43 AM by dkocher

#8199 closed as duplicate.

comment:6 Changed on Oct 28, 2014 at 12:59:57 PM by dkocher

From RFC 3546

A server that receives a client hello containing the "server_name" extension, MAY use the information contained in the extension to guide its selection of an appropriate certificate to return to the client, and/or other aspects of security policy. In this event, the server SHALL include an extension of type "server_name" in the (extended) server hello. The "extension_data" field of this extension SHALL be empty. If the server understood the client hello extension but does not recognize the server name, it SHOULD send an "unrecognized_name" alert (which MAY be fatal).

comment:8 Changed on Nov 19, 2014 at 4:14:36 PM by dkocher

#8341 closed as duplicate.

comment:9 Changed on Jun 1, 2016 at 11:27:46 AM by dkocher

#9575 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software